Estimate Transaction Fees

Estimate transaction fees

post

Estimate transaction fees

Authorizations
X-Ledger-API-KeystringRequired

If you've set up your API Key when initializing your LAM, you'll need to include it as a header along with the api user header. For more details, see step 5 of the get started documentation.

X-Ledger-API-UserstringRequired

(required) Username of a registered API User

Body
account_namestringRequired

The account's name.

amountstring · nullableOptional

The amount to be sent, in the currency's lowest unit. For Smart Contract interaction, use "0" instead of null

Default: nullPattern: ^[0-9]*(\.[0-9]+)?$
coin_fieldsone of · nullableOptional

coin specific data

Default: null
or
or
or
or
or
or
or
or
or
recipientstringRequired

The recipient's address.

speedstring · enumRequired

The transaction's processing speed.

Possible values:
Responses
chevron-right
200

attributes of the transaction to estimate

application/json
coin_fieldsone of · nullableOptionalDefault: null
or
or
max_feesstringRequired

The estimated max fees for the requested transaction attributes, in base units. We recommend using this amount as max_fee when creating a transaction request through POST /transactions for the same transaction attributes. Max fees represent the highest possible fee amount you will pay to broadcast this transaction. The final fees, calculated once the transaction is approved by the last Operator, might be lower, but will never exceed that amount. See https://help.vault.ledger.com/developer-portal/content/transactions/tx/ for details

max_fees_buffer_factornumberRequired

Network fees can fluctuate between the creation of a transaction request and the submission of the transaciton to the network, after all the approvals have been collected. Ledger Vault adds a buffer to the network fees required for the selected transaction speed. See https://help.vault.ledger.com/developer-portal/content/transactions/tx/

post
/transactions/fees